- Aldebaran documentation |
- C++ Libraries |
- index

alrobotmodel 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
Sim::AngleActuator Class Reference

AngleActuator is a class defining an angular motor. It is attached to the joint that it can actuate. More...

`#include <alrobotmodel.h>`

## Public Member Functions
| AngleActuator (class AngleActuatorImpl *impl)
| private constructor. More...
| AngleActuator (const AngleActuator &other)
| copy constructor. More...
| ~AngleActuator ()
| destructor. More...
const AngleActuator * | reflectedSymmetric () const
| returns the reflected symmetric Actuator, and NULL if it is not defined. More...
bool | reflectedSymmetricReversed () const
| returns if the symmetric actuator is reversed w.r.t. to the current actuator, false if there is no symmetric actuator defined. More...
bool | reflectionForced () const
| returns true if the actuator is always reflected. More...
virtual int | bufferSize () const
| returns the size of the buffer of a command to the AngleActuator in bits. More...
float | startValue () const
| returns the start value of the AngleActuator in radians. More...
float | minValue () const
| returns the minimal value of the AngleActuator in radians. More...
float | maxValue () const
| returns the maximal value of the AngleActuator in radians. More...
float | maxSpeed () const
| returns the maximal speed of the AngleActuator in radians per second. More...
const Joint * | controlledJoint () const
| returns the controlled joint by the AngleActuator. More...
Public Member Functions inherited from Sim::DCMActuator
| DCMActuator (class DCMActuatorImpl *impl)
| private constructor. More...
| DCMActuator (const DCMActuator &other)
| copy constructor. More...
| ~DCMActuator ()
| destructor More...
const std::vector< std::string > & | dcmKeys () const
| returns a vector of the strings in the DCM concerning this actuator. More...
Public Member Functions inherited from Sim::Actuator
| Actuator (class ActuatorImpl *impl)
| private constructor. More...
| Actuator (const Actuator &other)
| copy constructor. More...
| ~Actuator ()
| destructor. More...
const Frame * | frame () const
| returns the Frame of the Actuator. More...
virtual const std::string & | name () const
| returns the name of the Actuator. More...
Type | type () const
| returns the Type of the Actuator. More...

## Additional Inherited Members
Public Types inherited from Sim::Actuator
enum | Type { ANGLE_MOTOR, COUPLED_MOTOR, TORQUE_MOTOR, ANGLE_SPEED_MOTOR, WHEEL_TORQUE, WHEEL_VELOCITY, LED }
| gives the type of the Actuator. More...
Public Attributes inherited from Sim::Actuator
ActuatorImpl * | a_impl
| private implementation More...

## Detailed Description

AngleActuator is a class defining an angular motor. It is attached to the joint that it can actuate.

Definition at line 662 of file alrobotmodel.h.

## Constructor & Destructor Documentation

Sim::AngleActuator::AngleActuator | ( | class AngleActuatorImpl * | impl | ) |

private constructor.

Sim::AngleActuator::AngleActuator | ( | const AngleActuator & | other | ) |

copy constructor.

Sim::AngleActuator::~AngleActuator | ( |  | ) |

destructor.

## Member Function Documentation

virtual int Sim::AngleActuator::bufferSize | ( |  | ) | const
| virtual

returns the size of the buffer of a command to the AngleActuator in bits.

Implements Sim::DCMActuator.

const Joint* Sim::AngleActuator::controlledJoint | ( |  | ) | const

returns the controlled joint by the AngleActuator.

float Sim::AngleActuator::maxSpeed | ( |  | ) | const

returns the maximal speed of the AngleActuator in radians per second.

float Sim::AngleActuator::maxValue | ( |  | ) | const

returns the maximal value of the AngleActuator in radians.

float Sim::AngleActuator::minValue | ( |  | ) | const

returns the minimal value of the AngleActuator in radians.

const AngleActuator* Sim::AngleActuator::reflectedSymmetric | ( |  | ) | const

returns the reflected symmetric Actuator, and NULL if it is not defined.

bool Sim::AngleActuator::reflectedSymmetricReversed | ( |  | ) | const

returns if the symmetric actuator is reversed w.r.t. to the current actuator, false if there is no symmetric actuator defined.

bool Sim::AngleActuator::reflectionForced | ( |  | ) | const

returns true if the actuator is always reflected.

float Sim::AngleActuator::startValue | ( |  | ) | const

returns the start value of the AngleActuator in radians.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/agility/alrobotmodel/libalrobotmodel/alrobotmodel/alrobotmodel.h